package com.xhkjedu.sapi.mapper.itemtool.dict;

import com.xhkjedu.sapi.base.TkMapper;
import com.xhkjedu.sapi.model.itemtool.dict.DWordexample;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @ClassName WordexampleMapper
 * Description TODO 单词例句示例
 * Author WN
 * Date 2020/11/21 11:58
 **/
@Repository
public interface WordexampleMapper extends TkMapper<DWordexample> {
    /**
     *功能描述 根据单词获取单词例句示例
     * @author WN
     * @date 2020/11/21
     * @param  * @param id
     * @return java.util.List<com.xhkjedu.model.itemtool.dict.DWordexample>
     */
    List<DWordexample> listObjsByWordid(@Param("id") int id);
}
