package com.xhkjedu.sapi.mapper.space;


import com.xhkjedu.sapi.base.TkMapper;
import com.xhkjedu.sapi.model.space.TResource;
import com.xhkjedu.sapi.model.space.TResourceDirector;
import com.xhkjedu.sapi.vo.subjectbook.ResourceVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ResourceMapper extends TkMapper<TResource> {
    //详情
    ResourceVo findById(@Param("resourceid") String resourceid);

//    ResourceVo findById2(@Param("resourceid") String resourceid);


    //判断资源是否已经分享到校本
    Integer getLevelResourceForxb(@Param("resource") TResource resource);

    /**
     * 个人空间
     * @Param [resource]
     * @Author ywx
     * @Date 2020/7/9 11:44
     * @return java.util.List<com.xhkjedu.model.resource.TResource>
     **/
    List<TResource> listMyResource(@Param("resource") TResource resource);

    void batchSaveResourceDirector(@Param("list") List<TResourceDirector> directors);

}
