package com.xhkjedu.slive.mapper.gradeclass;

import com.xhkjedu.slive.base.TkMapper;
import com.xhkjedu.slive.model.gradeclass.TClassStudent;
import org.apache.ibatis.annotations.Param;

public interface ClassStudentMapper extends TkMapper<TClassStudent> {
    //删除班级、分组对应学生
    void deleteById(@Param("classid") Integer classid,@Param("studentid") Integer studentid);

    /**
     * 根据班级id和学生id获取班级学生信息
     * @Param [classid, studentid]
     * @Author ywx
     * @Date 2020/6/19 10:08
     * @return com.xhkjedu.model.gradeclass.TClassStudent
     **/
    TClassStudent getByClassIdStudentId(@Param("classid") Integer classid,@Param("studentid") Integer studentid);

    //添加
    void save(@Param("student") TClassStudent student);
}
