package com.xhkjedu.sapi.model.itemtool.dict;

import com.xhkjedu.sapi.vo.itemtool.dict.WordexamVo;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName DWord
 * Description TODO 词典_单词表
 * Author WN
 * Date 2020/11/21 10:46
 **/
@Data
@Table(name = "d_word")
public class DWord {

    @Id
    private Integer id;
    private String word_name;//单词
    private String word_pl;//复数
    private String word_er;//比较级
    private String word_est;//最高级
    private String ph_en;//英式发音
    private String ph_am;//美式发音
    private String ph_en_mp3;//英式发音MP3
    private String ph_am_mp3;//美式发音MP3
    private String mean_all;//释义
    private Integer createtime;//创建时间

    private List<DWordphrase> wordphraseList = new ArrayList<>();//单词词组集合

    private List<DWordtype> wordtypeList = new ArrayList<>();//词典_单词类型

    private List<DWordexam> wordexamList = new ArrayList<>();//单词真题例句

    @Transient
    private WordexamVo wordexam;//单词真题例句

    private List<DWordexample> wordexampleList = new ArrayList<>();//单词例句示例


}
